@import url('https://fonts.googleapis.com/css2?family=Poppins&display=swap');

*{
margin: 0;
padding: 0;
box-sizing: border-box;
font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

.decorated_heading_1{
    text-transform: uppercase;
    text-align: left;
    font-size: 24px;
}
.decorated_heading_1::after{
    content: '';
    display: block;
    height: 1px;
    background: #ed1c24;
    width: 50px;
    margin-top: 15px;
}
.decorated_heading_2{
    text-transform: uppercase;
    text-align: center;
    font-size: 24px;
}
.decorated_heading_2::after{
    content: '';
    display: block;
    height: 1px;
    background: #ed1c24;
    width: 50px;
    margin-top: 15px;
    margin-left: auto;
    margin-right: auto;
}
.subheading {
    text-transform: uppercase;
}
.paragraph{
    text-align: justify;
}
.body_content{
  margin: auto;
  width: 80%;
}
a{
text-decoration: none;
color:black;
}
button{
cursor: pointer;
}
















  .price_section{
    margin-top: 50px;
    width: 100%;
    display: flex;
    justify-content: center;
    gap: 60px;
}
.price_section .coloumn_1{
    width: 50%;
    display: flex;
}

.price_section .coloumn_2{
    width: 50%;
    display: flex;
}

.price_section .content{
    width: 100%;
}
.price_section ul{
  margin-top: 20px;
  }
.price_section li{
display: flex;
gap: 10px;
align-items: flex-start;
list-style: none;
margin-top: 10px;
}
.price_section li input{
  margin-top: 5px;
  }
  .price_section .variation{
color: green;
    }
.price_section .duration{
  display: inline-block
  }
  .price_section li p{
 font-size: 14px;
    }
.price_section img{
  width: 100%;
  object-fit: contain;
}
.price_section table {
  border-collapse: collapse;
  margin-top: 20px;
  font-size: 14px;
}
.price_section td {
  padding: 5px 12px;
  text-align: left;
}
.course_addto_cart {
  margin-top: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #0096FF;
  color: white;
  cursor: pointer;
  border: none;
  width: 200px;
  height: 45px;
}

.course_addto_cart:disabled {
  background-color: #0096FF ;
  cursor: not-allowed;
}

.course_addto_cart .buttonText{
display: inline-block;
}

.course_addto_cart .spinner {
  display: none;
  border: 4px solid white;
  border-left-color: #000;
  border-radius: 50%;
  width: 20px;
  height: 20px;
  animation: spin 1s linear infinite;
  vertical-align: middle;
  margin-left: 10px;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.price_section .intro{
  margin-top: 20px;
}











.feature_section{
  margin-top: 100px;
  width: 100%;
  display: flex;
  justify-content: center;
  gap: 40px;
}
.feature_section .coloumn_1{
  width: 50%;
  display: flex;
}
.feature_section .coloumn_2{
  width: 50%;
  display: flex;
  justify-content:center;
}
.feature_section .coloumn_2 .content{
  width: 100%;
}

.feature_section .features_container{
  width: 100%;
  margin-top: 20px;
}

.feature_section .feature {
  margin-top: 10px;
  display: flex;
  gap: 20px;
}

.feature i{
  font-size: 14px;
  color:green ;
}

.feature_section table {
  width: 100%;
  margin-top: 20px ;
}
.feature_section th,  .feature_section td {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}
.feature_section th {
  background-color: #f2f2f2;
}
.feature_section tr:nth-child(even) {
  background-color: #f9f9f9;
}
.feature_section tr:hover {
  background-color: #f1f1f1;
}
.course_sections {
  margin-top: 20px;
  }
.course_section_container {
margin-top: 10px;
}
.course_section_header {
  background-color: #f2f2f2;
  border: 1px solid #dddddd;
  padding: 8px;
  display: flex;
  justify-content: space-between;
}
.course_section_header .left{
  display: flex;
  gap: 10px;
}
.course_section_wrapper {
height: auto;
width: 100%;
display: flex;
justify-content: center;
overflow-y: hidden;
transition: height 0.3s ease;
}
.course_section_wrapper.active {
 height: 0;
}
.section_quizzes {
width: 100%;
border: 1px solid #dddddd;
padding: 8px;
}
.section_quiz {
  margin-top: 5px;
  font-size: 14px;
  display: flex;
  justify-content: space-between;
  width: 100%;
  background-color: #f9f9f9;
  padding: 6px;
  border: 1px solid #dddddd;
  }
  .quiz_questions {
    font-size: 12px;;
    }

.description_section{
  margin-top: 100px;
  width: 100%;
  display: flex;
}
.description_section .coloumn_1{
  width: 100%;
  display: flex;
}

.description_section .content{
  width: 100%;
}
.description_section .course_description{
margin-top: 20px;
}













@media only screen and (max-width: 768px) {

  /* all sections common responsiveness*/

  html, body {
      width: 100%;
      max-width: 100%;
      overflow-x: hidden; /* Prevents horizontal scrolling */
      margin: 0;
      padding: 0;
  }
  .first_section {
    margin-top: 130px ;
  }
  .section  {
  flex-wrap: wrap ;
  padding: 0 30px;
  gap: 30px;
  }
  .section .row{
      flex-wrap: wrap ;
      gap: 30px;
  }
  .section .column  {
      width: 100% ;
      justify-content: center;
  }
  .section .content  {
      padding: 0 ;
  }
  .section .flex_container{
      flex-wrap: wrap ;
  }
  .section .flex_item{
      width: 100% ;
      margin-top: 0;
      padding: 30px ;
  }
  .section .decorated_heading_1{
      text-align: center ;
  }

  .section .decorated_heading_1::after{
      margin-left: auto ;
      margin-right: auto ;
  }
  .body_content{
    margin: auto;
    width: 100%;
  }




.feature_section .coloumn_2 {
  padding: 0;
    }
    

}



















@media only screen and (min-width: 769px) and (max-width: 1024px) {

  /* all sections common responsiveness*/

  html, body {
      width: 100%;
      max-width: 100%;
      overflow-x: hidden; /* Prevents horizontal scrolling */
      margin: 0;
      padding: 0;
  }
  .first_section {
      margin-top: 130px ;
    }
  .section  {
  padding: 0 45px;
  }
  .body_content{
    margin: auto;
    width: 100%;
  }


}